Subject: [IPsec] FWD from Tero Kivinen: [IANA #879114] General Request for Assignment (ikev2-parameters)

From: Tero Kivinen <[email-masked]>
Date: Tue, 15 Dec 2015 15:36:33 +0200

FYI, here is another request and my reply to that.

Subject: [IANA #879114] General Request for Assignment (ikev2-parameters)
From: Tero Kivinen <[email-masked]>
To: [email-masked]
Date: Tue, 15 Dec 2015 14:55:34 +0200

Michelle Cotton via RT writes:
> On Thu Nov 05 09:34:43 2015, [email-masked] wrote:
> > 
> > Contact Name:
> > Frederic Firmin
> > 
> > Contact Email:
> > [email-masked]
> > 
> > Type of Assignment:
> > New item in the "IKEv2 Configuration Payload Attribute Types" of the
> > "Internet Key Exchange Version 2 (IKEv2) Parameters" as shown at
> > http://www.iana.org/assignments/ikev2-parameters/ikev2-
> > parameters.xhtml#ikev2-parameters-21 and as specified in IETF RFC 4306
> > and updated by IETF RFC 5996 and IETF RFC 7296.
> > 
> > Registry:
> > The "IKEv2 Configuration Payload Attribute Types" of the "Internet Key
> > Exchange Version 2 (IKEv2) Parameters" as shown at
> > http://www.iana.org/assignments/ikev2-parameters/ikev2-
> > parameters.xhtml#ikev2-parameters-21 and as specified in IETF RFC 4306
> > and updated by IETF RFC 5996 and IETF RFC 7296.
> > 
> > Description:
> > This IKEv2 attribute is used to provide indication of UE supporting
> > re-selection P-CSCF.
> > 
> > Additional Info:
> > IETF RFC 4306 defines the registry for the "IKEv2 Configuration
> > Payload Attribute Types". IETF RFC 7296 and IETF RFC 5996 refer to
> > IETF RFC 4306 for the definition of the registry.
> > The following attribute is requested to be registered:
> > -       value: (number to be assigned by IANA)
> > -       attribute type: P-CSCF_RESELECTION_SUPPORT
> > -       multi-valued: no
> > -       length: 1 octet
> > -       reference: http://www.3gpp.org/ftp/Specs/html-info/24302.htm

This also have some problems. This is one way indication from the
client to the server, this is not configuration value that the client
requests from the server.

Also it is not clear what this parameter means. The section 7.2.2 of
24320-d30 says:

	If the UE supports P-CSCF restoration extension for untrusted
	WLAN as specified in 3GPP TS 23.380 [66], the UE shall send
	its capability indication of the support of P-CSCF restoration
	to the ePDG by including the P-CSCF_RESELECTION_SUPPORT
	attribute in the CFG_REQUEST Configuration Payload within the
	IKE_AUTH request message. The P-CSCF_RESELECTION_SUPPORT
	attribute content is defined in subclause 8.2.4.2.

i.e. it seems this reSELECTION support attribute is used to indicate
whether reSTORATION is supported? I do not know where this attribute
affects, is it something that affects the configuration of the
devices, or is just indication from the client to the server
indicating that client supports some features (in which case it might
be better to indicate that in notify payload). 
-- 
[email-masked]

-- 
[email-masked]